package com.sourcefellows.patterns.cor;

public class Main {

    public static void main(String[] args) {

        SupportHandler third = new ThirdLevelSupportHandler();
        SupportHandler second = new SecondLevelSupportHandler(third);
        SupportHandler handler = new FirstLevelSupportHandler(second);

        handler.handleRequest(new CustomerRequest());

    }

}
